<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
<html>
<head>
<!--

  DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  
  Copyright 2008 by Sun Microsystems, Inc.
 
  OpenOffice.org - a multi-platform office productivity suite
 
  $RCSfile: package.html,v $
 
  $Revision: 1.3 $
 
  This file is part of OpenOffice.org.
 
  OpenOffice.org is free software: you can redistribute it and/or modify
  it under the terms of the GNU Lesser General Public License version 3
  only, as published by the Free Software Foundation.
 
  OpenOffice.org is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU Lesser General Public License version 3 for more details
  (a copy is included in the LICENSE file that accompanied this code).
 
  You should have received a copy of the GNU Lesser General Public License
  version 3 along with OpenOffice.org.  If not, see
  <http://www.openoffice.org/license.html>
  for a copy of the LGPLv3 License.
 
-->

  <title>org.openoffice.xmerge.converter.palm package</title>
   
</head>
  <body bgcolor="white">
<p>Provides classes for converting basic document types to/from a  <code>
DOMDocument</code>  object, which can be used by the framework.  </p>
<p>This package provides classes that handle the writing of data to an <code>
 OutputStream</code> object for the {@link org.openoffice.xmerge.DocumentSerializer 
DocumentSerializer} interface for; as well as the reading of data from an 
<code>InputStream</code> object for the framework's {@link org.openoffice.xmerge.DocumentDeserializer 
DocumentDeserializer} interface. Both these framework interfaces are simply 
converters from server-side documents to device specific documents and vice-versa.
 </p>
<a name="streamformat">
<h2></h2>
</a>
<p></p>
<h2>Important Note</h2>
<p>Methods in these classes are not thread safe for performance reasons.
Users of these classes will have to make sure that the usage of these classes
are done in a proper manner.  Possibly more on this later.</p>
</body>
</html>
